Name: H5Fget_freespace
Signature:
  hssize_t `H5Fget_freespace`(hid_t `file_id`)
Purpose:
  Returns the amount of free space in a file.
Description:
  Given the identifier of an open file, `file_id`, `H5Fget_freespace` returns the amount of space that is unused by any objects in the file.

  Currently, the HDF5 library only tracks free space in a file from a file open or create until that file is closed, so this routine will only report the free space that has been created during that interval.

Parameters:

hid_t `file_id` | IN: Identifier of a currently-open HDF5 file

Returns:
  Returns the amount of free space in the file if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_freespace_f

      SUBROUTINE h5fget_freespace_f(file_id, free_space, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: file_id       ! File identifier
        INTEGER(HSSIZE_T), INTENT(OUT) :: free_space ! Amount of free space in file
        INTEGER, INTENT(OUT)        :: hdferr        ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_freespace_f

History:

Release | C
1.6.1 | Function introduced in this release.